UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 58365

PetaLinux 2013.04 - An error occurs when launching PetaLinux tools "Failed to open PetaLinux lib, please make sure you have source PetaLinux settings."

Description

After I source the PetaLinux SDK 2013.04 tools with IDS/XPS 14.7, the following message appears:

"Failed to open PetaLinux lib, please make sure you have source PetaLinux settings."

Solution

This message normally occurs when sourcing the PetaLinux tools with SELinux enabled on the host Linux machine.

To debug this issue, first ensure that SELinux is either disabled, or put into permissive mode as described in UG976.

In some cases, customers have reported seeing this message even after placing SELinux into permissive mode. One work-around for this scenario is to update the LD_LIBRARY_PATH variable such that it points to the 32-bit library path within the IDS/XPS installation directory.

Example (BASH):
export LD_LIBRARY_PATH=$XILINX/../common/lib/lin:${LD_LIBRARY_PATH}

Example (CSH):
setenv LD_LIBRARY_PATH $XILINX/../common/lib/lin:${LD_LIBRARY_PATH}

AR# 58365
Date Created 11/12/2013
Last Updated 01/30/2014
Status Active
Type General Article
Devices
  • SoC
  • FPGA Device Families
  • Zynq-7000
  • More
  • Artix-7
  • Kintex-7
  • Virtex-7
  • Less
Tools
  • PetaLinux
  • PetaLinux - 2013.04